<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Corporation](./bitburner.corporation.md) &gt; [getDivision](./bitburner.corporation.getdivision.md)

## Corporation.getDivision() method

Get division data.

**Signature:**

```typescript
getDivision(divisionName: string): Division;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

divisionName


</td><td>

string


</td><td>

Name of the division


</td></tr>
</tbody></table>

**Returns:**

[Division](./bitburner.division.md)

Division data

## Remarks

RAM cost: 10 GB

